API referenceEmail accounts
X-API-KEY<token>
Your API key from the console (gw_live_…).
In: header
Path Parameters
id*string
A mailbox (em_…).
Query Parameters
refresh?boolean
Swarmhit's own: read the engine's state now (and record it) instead of the last one it reported.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/email/api/v1/accounts/em_gX2kP9qL4mT7vB1nR8sW3yZ"{ "object": "Account", "id": "string", "type": "MAIL", "name": "string", "created_at": "2019-08-24T14:15:22Z", "connection_params": {}, "groups": [ "string" ], "sources": [ { "id": "string", "status": "OK" } ], "gateway": { "state": "string", "status_reason": "string", "engine_type": "string", "email": "string", "oauth_app_id": "string", "connected_at": "2019-08-24T14:15:22Z", "state_at": "2019-08-24T14:15:22Z", "adopted": true }}